rem @echo off

if [%1]==[] goto MAYBE_PHASE2

rem Phase 1
echo.
echo ============ PHASE 1 - CREATION =============
set EDK_SOURCE=%CD%

set EFI_BOOT_DISK=%1

set TARGET=%2
     
set PHASE=1

if /i [%3] == [FAT] (
set DEVICE=USB
pushd %TARGET% & nmake createusb & popd
) else (
set DEVICE=USB32
pushd %TARGET% & nmake createusb32 & popd
)
echo THEN RUN %0 SECOND TIME WITHOUT PARAMETERS.               

goto :EOF

:MAYBE_PHASE2
if not [%PHASE%]==[1] goto USAGE 

rem phase 2
echo.
echo ============ PHASE 2 - COPYING ==============


pushd %TARGET%
nmake %DEVICE%
popd

echo.
echo BOOTABLE %TARGET% USB DRIVE %EFI_BOOT_DISK% CREATED SUCCESSFULLY.

set PHASE=
set TARGET=
set EFI_BOOT_DISK=
set EDK_SOURCE=
                             
goto :EOF

:USAGE
echo.
echo 1. Run %0 ^<USB_DRIVE^> ^<IMAGE_OPTION^> ^<FAT_OPTION^>
echo.                                
echo      Where: USB_DRIVE    = D: ^| E: ^| ... ^| Z:
echo             IMAGE_OPTION = EFI32 ^| EFI64 ^| UEFI32 ^| UEFI64
echo             FAT_OPTION   = FAT ^| FAT32
echo.
echo 2. Unplug and replug USB drive.
echo.
echo 3. Run %0 again without parameters.
echo.
                         